curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/databases \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const databases = await turso.databases.list();
{
"databases": [
{
"Name": "my-db",
"DbId": "0eb771dd-6906-11ee-8553-eaa7715aeaf2",
"Hostname": "[databaseName]-[organizationSlug].turso.io",
"block_reads": false,
"block_writes": false,
"regions": [
"aws-us-east-1"
],
"primaryRegion": "aws-us-east-1",
"group": "default",
"delete_protection": false,
"parent": {
"id": "<string>",
"name": "<string>",
"branched_at": "2025-04-15T13:14:34.468213117Z"
}
}
]
}Databases
List Databases
Returns a list of databases belonging to the organization or user.
GET
/
v1
/
organizations
/
{organizationSlug}
/
databases
curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/databases \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const databases = await turso.databases.list();
{
"databases": [
{
"Name": "my-db",
"DbId": "0eb771dd-6906-11ee-8553-eaa7715aeaf2",
"Hostname": "[databaseName]-[organizationSlug].turso.io",
"block_reads": false,
"block_writes": false,
"regions": [
"aws-us-east-1"
],
"primaryRegion": "aws-us-east-1",
"group": "default",
"delete_protection": false,
"parent": {
"id": "<string>",
"name": "<string>",
"branched_at": "2025-04-15T13:14:34.468213117Z"
}
}
]
}curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/databases \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const databases = await turso.databases.list();
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
Query Parameters
Filter databases by group name.
The schema database name that can be used to get databases that belong to that parent schema.
Filter database branches by using their parent database ID.
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
Was this page helpful?